Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.galaxy
Class GalaxyAdaptor.Protocol

    java.lang.Object
      de.jstacs.utils.galaxy.GalaxyAdaptor.Protocol

Enclosing class:
  GalaxyAdaptor

    public static class GalaxyAdaptor.Protocol

extends Object

Class for a Protocol writer.

Author:
  Jan Grau

Method Summary
`void` | `append(String str)` Appends `str` to the protocol.
`void` | `appendHeading(String str)` Append a heading to the protocol
`void` | `appendWarning(String str)` Appends a warning to the protocol
`ByteArrayOutputStream` | `getOutputStream()` Returns the `ByteArrayOutputStream` of this protocol
`PrintWriter` | `getWriter()` Returns the `PrintWriter` of this protocol
`String` | `toString()` Returns the current version of the protocol as `String`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### append

    public void append(String str)

  Appends `str` to the protocol.

  Parameters:
    `str` - the string to be appended

### getWriter

    public PrintWriter getWriter()

  Returns the `PrintWriter` of this protocol

  Returns:
    the writer

### getOutputStream

    public ByteArrayOutputStream getOutputStream()

  Returns the `ByteArrayOutputStream` of this protocol

  Returns:
    the stream

### appendHeading

    public void appendHeading(String str)

  Append a heading to the protocol

  Parameters:
    `str` - the title of the heading

### appendWarning

    public void appendWarning(String str)

  Appends a warning to the protocol

  Parameters:
    `str` - the warning

### toString

    public String toString()

  Returns the current version of the protocol as `String`.

  Overrides:
    `toString` in class `Object`
  Returns:
    the protocol as `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD